<?php

namespace App\Command;

use App\Service\AwardeeManager;
use App\Service\JudgeManager;
use Psr\Container\ContainerInterface;

class MigrateImagesFactory
{
    /**
     * @param ContainerInterface $container
     * @return MigrateImages
     */
    public function __invoke(ContainerInterface $container): MigrateImages
    {
        $awardeeManager = $container->get(AwardeeManager::class);
        $judgeManager = $container->get(JudgeManager::class);
        return new MigrateImages($awardeeManager, $judgeManager);
    }
}
